Workspace

Get workspace label

Get a single workspace-level label by ID or name. Requires workspace:read scope.

GET/workspace/labels/{label_identifier}

Authorization

bearerAuth
AuthorizationBearer <token>

API key. Bearer authentication header of the form Bearer <token>, where <token> is your Workspace or Application API key.

In: header

Path Parameters

label_identifier*string

Label ID or name.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.comworkspace/labels/Production" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "message": "Workspace label retrieved successfully.",  "data": {    "id": "lbl1234",    "name": "Production",    "description": "Production-ready builds",    "color": "#22c55e",    "level": "workspace",    "created_at": "2025-06-10T09:15:00.000000Z",    "updated_at": "2025-06-15T14:30:00.000000Z",    "application_id": "aBc1234",    "workspace_id": "wSp1234"  }}
{  "message": "Unauthorized"}
{  "message": "This action requires 'resource:action' scope."}
Empty